
#define	cListCellHeight		14			/* pixels */

#define kNoteAlert	129

#define	kICON1		1
#define kICON2		5

#define kStartBtn	3
#define kChangeBtn	9
#define kNewBtn		8
#define kDeleteBtn	10

#define kDivider	4

#define	kStatusBox	11
#define kInfoBox	14
#define kStatusStr	13
#define	kListBox	7

#define kServerItm	2
#define kConfigItm	6

#define kIsOnStr	-4048
#define kIsOffStr	-4047
#define kDaemonName	-4046
#define kClickFor	-4045
#define kDefault	-4044
#define kPrepName	-4043

#define SwitchResFile(newfile)		CurResFile(); UseResFile(newfile);

class CDEV : public HandleObject {
public:
	DialogPtr		fDialog;
	short			fNumItems;
	
	Boolean			fIsRunning;
	
	Handle			fCurStatus;
	
	ListHandle		fList;
	Boolean			fSelected;
	
	Boolean			fMadeChanges;
	short			fPrepFile;
	
	Str63			fPortText;
	short			fPortNum;
	long			fProtocol;
	Boolean			fOnText;
	
	Handle			fConfigDITL;
	Handle			fConfigCDEV;
	Handle			fConfigStorage;
	
					CDEV();
					~CDEV();

	void			SetInitialState();
	void			SetUpList();
	
	void			AddCell(ListData* data);

	void			DrawEverything();
	
	void			DoChooseProgram();
	void			TurnOnOrOff();
	
	void			DeleteItem();
	void			SelectItem(Point where, short mods);
	
	void			UnloadConfig();
	void			LoadConfig();
	
	Boolean			StartDaemon();
	Boolean			StopDaemon();
	void			ResetDaemon();
	
	void			OpenPrepFile();
};

extern "C" {
	typedef struct QDRec {
		long 	randSeed;
		BitMap 	screenBits;
		Cursor 	arrow;
		Pattern dkGray;
		Pattern ltGray;
		Pattern gray;
		Pattern black;
		Pattern white;
		GrafPtr thePort;
	} QDRec, *QDRecPtr;

	pascal CDEV*	ENTRY(short message, short item, short numItems, short CPanelID, EventRecord *theEvent, CDEV* cdevStorage, DialogPtr CPDialog);

	QDRecPtr		GetQDVars();

	ControlHandle	SnatchHandle(DialogPtr thebox, short theGetItem);
	pascal void		DoHilite(ControlHandle control);
	
	pascal Boolean	MyFileFilter(CInfoPBPtr pb, CDEV* usrData);
	pascal short	MyDialogHook(short item, DialogPtr dlog, CDEV* usrData);
	pascal Boolean	MyDialogFilter(DialogPtr dlog, EventRecord* event, short* item, CDEV* usrData);
	pascal void		MyActiveProc(DialogPtr dlog, short item, Boolean activating, CDEV* usrData);

	void			Outline(DialogPtr dlog, short item);
	void			DrawIcon(DialogPtr dlog, short item);
	void			DrawMyString(DialogPtr dlog, short item);
};
