
#ifndef __CLIST__
#define __CLIST__

#ifndef nil
#define nil 0
#endif

class CItem;

#ifdef HANDLEOBJECTS
class CList : public HandleObject {
#else
class CList {
#endif
public:
	CItem*	fHead;
	CItem*	fTail;
	
			CList()		{ fHead = nil; fTail = nil; }
	virtual	~CList();
			
	CItem*	First()		{ return fHead; }
			
	CItem*	PutOn(CItem* nu);
	CItem*	TakeOff(CItem* off);
	CItem*	IsOn(CItem* test);
};

#ifdef HANDLEOBJECTS
class CItem : public HandleObject {
#else
class CItem {
#endif
public:
	CItem*	fNext;
			
			CItem()		{ fNext = nil; }
	virtual	~CItem()	{ }
};

#endif
