female(anna).
female(berta).
female(celine).
female(dalia).

male(albert).
male(bertram).
male(caesar).
male(daniel).

parent(berta,albert).
parent(bertram,albert).
parent(berta,anna).
parent(bertram,anna).
parent(anna,caesar).
parent(anna,celine).
parent(anna,dalia).
parent(anna,daniel).

father(X,Y) :- 
  parent(X,Y), 
  male(Y).

mother(X,Y) :- 
  parent(X,Y), 
  female(Y).

grandfather(X,Y) :- 
  parent(X,Z), 
  father(Z,Y).

grandmother(X,Y) :- 
  parent(X,Z), 
  mother(Z,Y).
