/***************************************************************************
	File:		SMTPDelEPThreadProc.h
	Version:	1.0
	Purpose:	A simple thread which simply deletes an object when 
				next scheduled. Note that object must have been 
				allocated from the standard new heap

	Author: 	Christopher Haupt (cfh)
				Copyright  1996, CyberPuppy Software, Inc.
	
	Revision History:
	960418.cfh 	New file
***************************************************************************/

#pragma once

#include <LSimpleThread.h>

//
// static functions used by threads
//
extern "C" void DeleteEndpointObject(LThread& thread, void* arg);

