//		TCircleCityMap.h
// Copyright  1992 Emergent Behavior. All rights reserved.


#ifndef _CIRCLECITYMAP_
#define _CIRCLECITYMAP_

#ifndef _CITYMAP_
	#include "CityMap.h"
#endif

//========================================================================
class TCircleCityMap : public TCityMap
{
public:
		// Constructors etc...
						TCircleCityMap( void );
						TCircleCityMap( const TCityMap& sourceMap );
						TCircleCityMap( CityNumber numCities );
	virtual				~TCircleCityMap( void );
	virtual TCityMap*	Clone( void );
	virtual	float		GetShortestDistance();
protected:
	virtual void		DecideCityLocations( void );
private:
	float 	fShortestDistance;
};


#endif _CIRCLECITYMAP_