//		TMyIndividual.h
// Copyright  1992 Emergent Behavior. All rights reserved.


#ifndef _MYINDIVIDUAL_
#define _MYINDIVIDUAL_

#ifndef _INDIVIDUAL_
	#include "Individual.h"
#endif

#ifndef _CITYMAP_
	#include "CityMap.h"
#endif

//----------------------------------------------------------------------------------
class TMyIndividual : public TIndividual
{
public:
  		// Constructors
					TMyIndividual				( TCityMap* cityMap );
					TMyIndividual				( const TMyIndividual& sourceInd );
	virtual			~TMyIndividual				( void );
	

  		// Overrides
	virtual	void				CalcObjective	( void );
	virtual TSimulationUnit*	Clone			( void );
	virtual void				MakeGenes		( void );
	
			TMyIndividual&		operator=		( const TMyIndividual& sourceInd );

private:
  	TCityMap* 	fCityMap;
};


#endif _MYINDIVIDUAL_



