#pragma once

#ifndef _NPAPI_H_
#include "npapi.h"
#endif

#include "NetscapeStream.h"

#include <LHandleStream.h>

class LSamplePlugin;

class LSampleStream : public CNetscapeStream {
public:
	LSampleStream(NPMIMEType type, NPStream* stream, NPBool seekable, uint16 stype,
						LSamplePlugin *destination);

	virtual				~LSampleStream();
	
	virtual long		WriteReady();
	virtual long		Write(int32 offset, int32 len, void *buffer);
	virtual NPError		Finish(NPError reason);
	
protected:
	LSamplePlugin*		mDestination;
};
