//========================================================================================
//
//	File:				Frame.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FRAME_H
#define FRAME_H

// ----- Framework Includes -----

#ifndef FWFRAME_H
#include "FWFrame.h"
#endif

//========================================================================================
// Forward Class Desclarations
//========================================================================================

class FW_CPresentation;
class FW_CPart;

//========================================================================================
// CLASS CMacHackFrame
//========================================================================================

class CMacHackFrame : public FW_CFrame
{
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:
	FW_DECLARE_AUTO(CMacHackFrame)

	CMacHackFrame(Environment* ev, ODFrame* odFrame, FW_CPresentation* presentation, FW_CPart* part);
	virtual ~CMacHackFrame();

//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual void Draw(Environment* ev, ODFacet* odFacet, ODShape* invalidShape);

};

#endif
