//========================================================================================
//
//	File:				Part.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef PART_H
#define PART_H

// ----- Framework Includes -----

#ifndef FWPART_H
#include "FWPart.h"
#endif

//========================================================================================
//	CLASS CMacHackPart
//========================================================================================

class CMacHackPart : public FW_CPart
{
public:
	FW_DECLARE_AUTO(CMacHackPart)

//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
public:
	CMacHackPart(ODPart* odPart);
	virtual ~CMacHackPart();

	virtual void Initialize(Environment* ev);
	
//----------------------------------------------------------------------------------------
//	Inherited API
//
public:
	virtual FW_CContent* 	NewPartContent(Environment* ev);
	virtual FW_CFrame* 		NewFrame(Environment* ev,
									ODFrame* odFrame, 
									FW_CPresentation* presentation,
									FW_Boolean fromStorage);
	virtual FW_Boolean		DoMenu(Environment* ev, const FW_CMenuEvent& theMenuEvent);
	
//----------------------------------------------------------------------------------------
//	Data Member
//
private:
	FW_CPresentation*	fPresentation;
};

#endif
