//========================================================================================
//
//	File:				MacHackView.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef MACHACKVIEW_H
#define MACHACKVIEW_H

// ----- Part Layer -----

#ifndef FWSVIEW_H
#include "FWSView.h"
#endif

//========================================================================================
// Forward Declaration
//========================================================================================

class CMacHackPart;
class CMacHackFrame;

//========================================================================================
// Class CMacHackView
//========================================================================================

class CMacHackView : public FW_CSuperView
{
public:
	FW_DECLARE_AUTO(CMacHackView)
	FW_DECLARE_CLASS

//----------------------------------------------------------------------------------------
// Initialization/destruction
//
public:		
	CMacHackView(Environment* ev);
	virtual ~ CMacHackView();
		
//----------------------------------------------------------------------------------------
// Inherited API
//
public:		
	// ----- Drawing -----
	virtual void 			Draw(Environment* ev, ODFacet* odFacet, ODShape* invalidShape);

	// ----- Post Creation -----
	virtual void			PostCreateViewFromStream(Environment* ev);

	// ----- Archiving -----
	static void*			Create(FW_CReadableStream& stream, FW_ClassTypeConstant type);
	static void				Destroy(void* object, FW_ClassTypeConstant type);

//----------------------------------------------------------------------------------------
// Data Members
//
private:	
	CMacHackPart*		fMacHackPart;
};

#endif
