#include "NameRegistry.h"

void main(void);

void main(void)
{
	RegEntryIter			RegistryEntryIterator;
	RegEntryID				RegistryEntry;
	RegEntryIterationOp		RegistryEntryIteratorOperator = kRegIterRoot;
	Boolean					IterateDone = FALSE;
	OSStatus				theError = 0;
	long					DelayTime = 0;

	RegistryEntryIDInit(&RegistryEntry);
	theError = RegistryEntryIterateCreate(&RegistryEntryIterator);
	if(!theError)
	{
		while(!IterateDone && !theError)
		{
			theError = RegistryEntrySearch(&RegistryEntryIterator, RegistryEntryIteratorOperator, &RegistryEntry, 
											&IterateDone, "device_type", "display", 8);
			if (!IterateDone && !theError)
			{
				SysBeep(0);
				Delay(30, &DelayTime);
				RegistryEntryIDDispose(&RegistryEntry);
			}
			RegistryEntryIteratorOperator = kRegIterContinue;
		}
	}
	RegistryEntryIterateDispose(&RegistryEntryIterator);
}