//------------------------------------------------------------------------------------------
// COPYRIGHT  1997, David Slik. All Rights Reserved
//------------------------------------------------------------------------------------------
// Contents		: MP GrafLib Color Header					(MP GrafLib Color.h)
// Last Updated	: May 21, 1997
// Written By	: David Slik
//------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------
// DISCLAIMER - The author is not responsible for the results of using this code
//------------------------------------------------------------------------------------------
// If you find any bugs in this source code, please email me and I will attempt to fix
// them.  If you have any additions, modifications or suggestions, please let me know.
// I can be reached at the following address: dslik@paradata.com
// Updates will be posted to the URL http://www.paradata.com/~dslik/MPGL/MPGL.html
//
// Permission to use and modify this code is freely granted to all users.
//------------------------------------------------------------------------------------------
#pragma once

// HEADER FILES	---------------------------------------------------------------------

// STRUCTURES	---------------------------------------------------------------------

typedef unsigned int DS_RGBColor;


// DEFINES		---------------------------------------------------------------------

// PROTOTYPES	---------------------------------------------------------------------

// Public Color Routines
DS_RGBColor DS_SetColor(unsigned char Red, unsigned char Green, unsigned char Blue);
DS_RGBColor DS_GetForeColor(void);
DS_RGBColor DS_GetBackColor(void);
void DS_SetForeColor(DS_RGBColor theColor);
void DS_SetBackColor(DS_RGBColor theColor);
unsigned int DS_GetBitDepth(void);

// Private Color Routines

void DS_SetBitDepth(unsigned int theBitDepth);