//------------------------------------------------------------------------------------------
// COPYRIGHT  1997, David Slik. All Rights Reserved
//------------------------------------------------------------------------------------------
// Contents		: MP GrafLib Internals Header					(MP GrafLib Internals.h)
// Last Updated	: May 25, 1997
// Written By	: David Slik
//------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------
// DISCLAIMER - The author is not responsible for the results of using this code
//------------------------------------------------------------------------------------------
// If you find any bugs in this source code, please email me and I will attempt to fix
// them.  If you have any additions, modifications or suggestions, please let me know.
// I can be reached at the following address: dslik@paradata.com
// Updates will be posted to the URL http://www.paradata.com/~dslik/MPGL/MPGL.html
//
// Permission to use and modify this code is freely granted to all users.
//------------------------------------------------------------------------------------------
#pragma once

// STRUCTURES	---------------------------------------------------------------------

// Drawing Information Global Structure
typedef struct
{
	// Initilization Information
	unsigned int	Overwrite;
	unsigned int	InitCheck;
	
	// Display Information
	Ptr				DisplayBaseAddress;
	int				DisplayBitDepth;
	int				HorizontalResolution;
	int				VerticalResolution;
	
	// Clipping Information
	DS_Rect			ClippingRect;
	
	// Pen Color Information
	DS_RGBColor		DS_ForeColor;
	DS_RGBColor		DS_BackColor;
	
	// Pen Position Information
	short			PenX;
	short			PenY;
} DrawingGlobals, *DrawingGlobalsPtr;

