//------------------------------------------------------------------------------------------
// COPYRIGHT  1997, David Slik. All Rights Reserved
//------------------------------------------------------------------------------------------
// Contents		: MP GrafLib Utilities Header					(MP GrafLib Utilities.h)
// Last Updated	: May 21, 1997
// Written By	: David Slik
//------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------
// DISCLAIMER - The author is not responsible for the results of using this code
//------------------------------------------------------------------------------------------
// If you find any bugs in this source code, please email me and I will attempt to fix
// them.  If you have any additions, modifications or suggestions, please let me know.
// I can be reached at the following address: dslik@paradata.com
// Updates will be posted to the URL http://www.paradata.com/~dslik/MPGL/MPGL.html
//
// Permission to use and modify this code is freely granted to all users.
//------------------------------------------------------------------------------------------
#pragma once

// HEADER FILES	---------------------------------------------------------------------

// STRUCTURES	---------------------------------------------------------------------

typedef struct
{
	short	left;
	short	top;
	short	right;
	short	bottom;
} DS_Rect;


// DEFINES		---------------------------------------------------------------------

// PROTOTYPES	---------------------------------------------------------------------

// Utility Routines
void DS_SetRect(DS_Rect *theRect, short rLeft, short rTop, short rRight, short rBottom);
void DS_OffsetRect(DS_Rect *theRect, short distHoriz, short distVert);
void DS_InsetRect(DS_Rect *theRect, short distHoriz, short distVert);
Boolean DS_RectInRect(DS_Rect *theRect, DS_Rect *InsideRect);
