/**********************************************************************************
	FILE: IPLSRegisterConfig.h
	Description: Our Preferences structure, and the routines that read/write the
		prefs and allow the user to configure them.

	1997, CE Software, Inc.  All rights reserved.
	P.O. Box 65580
	West Des Moines, Iowa 50265 U.S.A.

***********************************************************************************/

#include "HandleIPLSCall.h"	//include this to get the structure of a registration entry

#define numEntries 6

struct RegisterPrefs {
	Str31	rpServerName;	//user to be registers
	Str63	rpServerIPAddress; // IP address (xxx.xxx.xxx.xxx:xxx)
	Str31	rpServerPassword;
	RegisterEntry rpEntry[numEntries];	//the six entries
};
typedef struct RegisterPrefs RegisterPrefs;
extern RegisterPrefs gRegisterPrefs;
extern Boolean		WeAreRegistered;

Boolean ConfigRegisterList(Boolean firstTime);
void InitRegisterList(void);
void CloseRegisterList(void);
