#ifndef IPLSENDPOINT_H
#define IPLSENDPOINT_H

/**********************************************************************************
	FILE: IPLSEndPoint.h
	Description: The class definition for our server

	1997, CE Software, Inc.  All rights reserved.
	P.O. Box 65580
	West Des Moines, Iowa 50265 U.S.A.

***********************************************************************************/

#include <OpenTransport.h>
#include <OpenTptInternet.h>
#include <Types.h>

#include "OTServerEndPoint.h"

// The server only overrides the CreateHandler to call our handler classes.
// everything else is inherited
class IPLSServer: public OTServerEndPoint
{
	// constructor
	public:
	
		IPLSServer( unsigned short port );
		virtual	~IPLSServer	( void ) { }

	protected:
		OTHandlerEndPoint*	CreateHandler(short HandlerID);
};

#endif
