#include <iostream>
#include <list>

void main(void)
{
	typedef	list<char, allocator<char> > MyList;
	char	start[] = "machack";
	MyList	l(start, start + strlen(start));

	ostream_iterator<char, char, char_traits<char> >	out(cout);
	cout << "  start: ";
	copy(l.begin(), l.end(), out);

	cout << "\nremoved: ";
	l.remove('c');
	copy(l.begin(), l.end(), out);

	cout << "\n sorted: ";
	l.sort();
	copy(l.begin(), l.end(), out);

	cout << "\n unique: ";
	l.unique();
	copy(l.begin(), l.end(), out);

	cout << "\nreverse: ";
	l.reverse();
	copy(l.begin(), l.end(), out);
	cout << "\n";
}
//   start: machack
// removed: mahak
//  sorted: aahkm
//  unique: ahkm
// reverse: mkha
