// request privileges to connect
netscape.security.PrivilegeManager.enablePrivilege("UniversalConnect");

// create new ldap connection
LDAPConnection ld = new LDAPConnection();

// connect and authenticate
ld.connect( "ldap.host.com", 389, "cn=myname,o=myorg,c=us", "mypasswd" );

// set search constraints
LDAPSearchConstraints cnst = ld.getSearchConstraints();
// one-second time limit
cnst.setTimeLimit(1000);
// ten-entry size limit
cnst.setSizeLimit(10);

// initiate a search
LDAPSearchResults res = ld.search( "o=myorg,c=us", // base
		2, // subtree scope
		null, // rtn all attrs
		false // types and vals
);

LDAPEntry e;
// step thru entries returned
while ( res.hasMoreElements() ) {
		e = res.nextElement();
		// print the entry's DN
		System.out.println( e.getDN() );

		LDAPAttributeSet attrs;
		Enumeration attrsEnum;
		// retrieve atts from entry
		attrs = e.getAttributeSet();
		// get an enumerator
		attrsEnum = attrs.getAttributes();
		// ... do other stuff ...
}
