// If your presentation is longer than 125 slides,
// you could change the Array size below.
filename = new Array(125);

first_slide = 0;
last_slide = 0;
current_slide = 1;
slides_inserted = 0;
slides_deleted = 0;
show_slide_filename = 0;


/* function AddSlide adds a slide to the presentation at the end.      */
/*                                                                     */
/* parameter name is the name of the file, without the .htm extension. */

function AddSlide(name)
{
	last_slide++;
	if(name == null) name = last_slide-slides_inserted+slides_deleted;
	else {
		slides_inserted++;
	}
	filename[last_slide] = name + ".htm";
}


// DON'T EDIT ANY OF THE TEXT ABOVE THIS LINE!!!
// It's source code you don't need to touch and should not touch.
//
// To add, delete, and reorder slides, 
// just add, delete, and reorder the AddSlide("FILENAME")
// entries below.  Each name in double quotes is the name
// of an HTML file in this presentation directory.
//
// Within the quotes, don't include an extension like .htm or .html.
// This application automatically adds .htm to the name when it
// looks in the directory for the file.  In the directory, the
// HTML file *must* have the three letter extension .htm.


// Keep these first three slides (Logopage, Title, S_agenda)
// in your presentation so we have a standard look and feel.
// (Edit the contents of the Title and S_agenda slide.)

AddSlide("title");   // title slide
AddSlide("agenda");   // agenda slide

AddSlide("dirintro");	// intro to directories
AddSlide("bigpict");	// the directory big picture
AddSlide("dirnot");	// directories are not
AddSlide("dirshelp");	// LDAP can help you...
AddSlide("dirseg");	// Examples of Dir Enabled Stuff

AddSlide("ldapis"); // LDAP is...
AddSlide("hierdit");	// example hierarchical directory
AddSlide("entry");	// example directory entry
AddSlide("ldapdo4");	// what can ldap do for you?
AddSlide("ldapsearch");	// search example
AddSlide("devenv");	// development environments

AddSlide("c");		// c

AddSlide("java");	// java
AddSlide("javaclass");	// java
AddSlide("jbean");	// javabeans

AddSlide("js");		// javascript
AddSlide("jsex");	// javascript: example program
AddSlide("jsexres");	// javascript: example program result

AddSlide("summary");	// directory conclusions
AddSlide("moreinfo");	// what people are saying about LDAP
AddSlide("quotes");	// what people are saying about LDAP





