//
//	AppearanceSample.r
//
//	by Edward Voas, Apple Computer, Inc.
//
//	Copyright  1997 Edward Voas, All rights reserved.
//
//	some rez fun to demonstrate creating appearance resources.
//

#include "Appearance.r"

#define teFlushRight -1 					/*flush right for all scripts */

resource 'xmnu' (128, purgeable)
{
	latestVersion
	{
		{
			dataItem { 'abou', kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph }
		}
	};
};

resource 'xmnu' (129, purgeable)
{
	latestVersion
	{
		{
			dataItem { 'clos', kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			skipItem {},
			dataItem { 'quit', kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph }
		}
	};
};

resource 'xmnu' (130, purgeable)
{
	latestVersion
	{
		{
			dataItem { 'opfw', kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 'opdw', kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 'opbd', kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 'newf', kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 'stal', kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 'bvli', kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 'cdef', kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 'live', kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 'mega', kMenuNoModifiers, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 'util', kMenuShiftModifier, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 'side', kMenuShiftModifier, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 'asiz', kMenuShiftModifier, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 'vert', kMenuShiftModifier, currScript, 0, 0, noHierID, sysFont, naturalGlyph },
			dataItem { 'horz', kMenuShiftModifier, currScript, 0, 0, noHierID, sysFont, naturalGlyph }
		}
	};
};

//
//	About Box resources (extended info)
//

resource 'dlgx' (5000, purgeable)
{
	latestVersion
	{
		kDialogFlagsUseThemeBackground + kDialogFlagsUseThemeControls + kDialogFlagsUseControlHierarchy
	}
};

resource 'dftb' (5000, purgeable)
{
	latestVersion
	{
		{
			skipItem {},
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseJustMask, 0, 0, 0, 0, teFlushRight, 0, 0, 0, 0, 0, 0, "" }
		}
	};
};

//
//	Live feedback dialog stuff
//

resource 'dlgx' (1004, purgeable)
{
	latestVersion
	{
		kDialogFlagsUseThemeBackground + kDialogFlagsUseControlHierarchy
	}
};

resource 'dftb' (1004, purgeable)
{
	latestVersion
	{
		{
			skipItem {},
			skipItem {},
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }
		}
	};
};
