//
//	BaseDialog.h
//
//	by Edward Voas, Apple Computer, Inc.
//
//	Copyright  1997 Edward Voas, All rights reserved.
//
//	This file contains the base class declaration for dialogs in this
//	application.
//

#pragma once

#include "BaseWindow.h"

class BaseDialog : public BaseWindow
{
	public:
			BaseDialog();
			BaseDialog( SInt16 resID );
		virtual ~BaseDialog();
		
		virtual void		Update( EventRecord& event );
		virtual void		Deactivate( EventRecord& event );
		virtual void		Activate( EventRecord& event );
		virtual void		HandleClick( EventRecord& event );
		virtual void		HandleKeyDown( EventRecord& event );
		
	protected:
		virtual void		HandleItemHit( SInt16 item );		
};