#pragma once

#include "MegaPane.h"
#include "Appearance.h"

class SliderPane : public MegaPane
{
	public:
			SliderPane( DialogPtr dialog, SInt16 items );
		virtual ~SliderPane();
		
		virtual void		ItemHit( SInt16 item );
	
	private:
		static pascal void	SliderFeedbackProc( ControlHandle control, SInt16 part );
		static pascal void	DrawPictureProc( ControlHandle control, SInt16 part );

		static ControlActionUPP	fSliderProc;
		static ControlUserPaneDrawUPP fDrawProc;
		
		ControlHandle		fVerticalSlider1;
		ControlHandle		fVerticalSlider2;
		ControlHandle		fVerticalSlider3;
		ControlHandle		fHorizontalSlider1;
		ControlHandle		fHorizontalSlider2;
		ControlHandle		fHorizontalSlider3;
		ControlHandle		fUserPane;
		
		PicHandle			fPicture;
		SInt16				fPictHeight;
		SInt16				fPictWidth;
};
