#ifndef _UTILITYWINDOW_H
#define _UTILITYWINDOW_H

#include "BaseWindow.h"
#include "Appearance.h"

class UtilityWindow : public BaseWindow
{
	public:
			UtilityWindow();
		virtual ~UtilityWindow();
		
		virtual void		Activate( EventRecord& event );
		virtual void		Deactivate( EventRecord& event );
		virtual void		Draw();
		virtual void		Resize( SInt16 width, SInt16 height );
		virtual void		HandleClick( EventRecord& event );

	protected:
			UtilityWindow( SInt16 windID );
		
	private:
		virtual void		InvalidateScrollBars();
		virtual void		CalcHorizScrollBarRect( Rect& rect );
		virtual void		CalcVertScrollBarRect( Rect& rect );
	
		static pascal void	ScrollBarAction( ControlRef control, SInt16 partHit );

		ControlRef			fHorizScrollBar;
		ControlRef			fVertScrollBar;
};

#endif // _UTILITYWINDOW_H
