#ifndef __Mac2Win__
#define __Mac2Win__

// turn these on based on the project type you are building
#define PowerPlant 0
#define MacApp3 0
#define MacApp2 0
#define TCL 0
#if PowerPlant
#define _DEFINE_QD 1 
#endif
#if MacApp3 
#define qPowerPC 1
#define qDrag 1
#define IMPORTQD 1
#endif

#ifdef __MWERKS__
#if __INTEL__
#include "x86_prefix.h"
#ifndef WINVER
#define WINVER 0x400
#endif
#define MACVER 0
#include "wchar_t.h"
#define __dest_os __win32_os
#else
#define WINVER 0
#define MACVER 1
#define OLDROUTINENAMES 0
#endif
#else
#pragma warning( disable : 4083 4244 )
#define WINVER 0x400
#endif

#define MACPASCAL 

#if WINVER
#define main AppMain
#endif

#endif

#if __MWERKS__ || _STATIC_LIB
#define EXPORT extern
#define	CLASS	class
#define	STRUCT	struct
#define IMPORTEXPORT extern
#elif	_PP_DLL
#define EXPORT extern __declspec(dllexport)
#define	CLASS	class __declspec(dllexport)
#define	STRUCT	struct __declspec(dllexport)
#define IMPORTEXPORT extern __declspec(dllexport)
#else
#define EXPORT __declspec(dllimport)
#define	CLASS	class __declspec(dllimport)
#define	STRUCT	struct __declspec(dllimport)
#define IMPORTEXPORT extern __declspec(dllimport)
#endif

#ifndef	_ASIPORT_
#if !MacApp3 || defined(__MACONDITIONALMACROS__) 
#include "AsiPort.H"
#endif
#endif
