/*
	GEMEM.H

	Provides Windows 95-compatible interpretations of NewPtrClear() and DisposPtr().

	Copyright 1995 by Al Evans. All rights reserved.

	10/30/95

*/

#include "preload.h"

#ifndef GEMEM_H
#define GEMEM_H

#ifdef __cplusplus
extern "C" {
#endif


#if defined(TARGET_IS_MACOS) && !defined(TEST_COMPILE)
#include <memory.h>
#else
// Declare Mac-style memory calls for other platforms and for testing
Ptr NewPtrClear(long newSize);
#define DisposePtr DisposPtr
void DisposPtr(Ptr p);
#endif

#ifdef __cplusplus
}
#endif

#endif


