/*
  GEMOUSE.H

  Graphic Elements - Windows 95 compatibility layer for StillDown() and GetMouse()

  Copyright	1995 by Al Evans. All rights reserved.

  10/30/95

*/

#include "preload.h"

#ifndef GEMOUSE_H
#define GEMOUSE_H

#ifdef __cplusplus
extern "C" {
#endif


#if !defined(TARGET_IS_MACOS) || defined(TEST_COMPILE)
// Declare Mac-compatible mouse functions for other platforms and testing
GE_CALLBACK(Boolean,StillDown(void));
GE_CALLBACK(void,GetMouse)(Point * p);

#endif

#if defined(TARGET_IS_BEOS)
// Need to know what view the mouse is in for StillDown()
void SetMouseView(BView *view);
#endif

#ifdef __cplusplus
}
#endif

#endif
