#ifndef _GETEXT_

#if defined(TEST_COMPILE) && defined(TARGET_IS_MACOS)
typedef struct {short ascent; short descent; short leading;} FontInfo;
typedef short Style;

void TextFont(short);
void TextFace(short);
void TextSize(short);
void GetFontInfo(FontInfo *);
short StringWidth(const StringPtr);
void GetForeColor(RGBColor *);
void RGBForeColor(RGBColor *);
void TextMode(short);
void ClipRect(Rect *);
void MoveTo(short h, short v);

void DrawString(const StringPtr);
#endif

#if defined(TARGET_IS_WIN95)
typedef struct {short ascent; short descent; short leading;} FontInfo;
typedef short Style;

void TextFont(short);
void TextFace(short);
void TextSize(short);
void GetFontInfo(FontInfo *);
short StringWidth(const StringPtr);
void GetForeColor(RGBColor *);
void RGBForeColor(RGBColor *);
void TextMode(short);
// void ClipRect(Rect *); Moved to GEQDRAW.H -AE
//void MoveTo(short h, short v);
// #define MoveTo(a,b) DebugBreak() Moved to GEQDRAW.H -AE

void DrawString(const StringPtr);
#endif

#define _GETEXT_
#endif
