/*
	SFXProcs.h
	
	Special effects for Graphic Elements
	
	Copyright 1994 by Al Evans. All rights reserved.
	
	6/9/94
	
*/

#ifndef SFXPROCS
#define SFXPROCS

#include "SFXCtrlr.h"

#ifdef __cplusplus
extern "C" {
#endif

//Horizontal wipe
GE_CALLBACK(void,SFXHWipe)(SFXCtrlrPtr controller);

//Vertical wipe
GE_CALLBACK(void,SFXVWipe)(SFXCtrlrPtr controller);

//Blink
GE_CALLBACK(void,SFXBlink)(SFXCtrlrPtr controller);

#ifdef __cplusplus
}
#endif


#endif
