
// mail <chelly@eden.com> or surf http://www.eden.com/~chelly for feedback
// free source code - do whatever you like with it

// mac os resource file access
#include "resfile_macos.h"

#include <Resources.h>

resfile_macos::resfile_macos( short ref ) : m_ref( ref ) { }

resfile_macos::~resfile_macos() { }

void* resfile_macos::get_resource( long type, int id )
{
	// get resource, but don't load data
	short prev = CurResFile();
	UseResFile( m_ref );
	SetResLoad( false );
	Handle h = GetResource( type, id );
	SetResLoad( true );
	UseResFile( prev );
	
	// not found
	if ( !h ) return nil;
	
	// copy to memory block and return
	long const size = GetResourceSizeOnDisk( h );
	char* data = new char [size];
	ReadPartialResource( h, 0, data, size );
	ReleaseResource( h );
	return data;
}

