/*
	CDemoWindow.h
	
	Demo Window for MacHack 97
	
	Macintosh version -- uses Metrowerks PowerPlant
	
	Al Evans
	
	6/12/97
	
*/

#ifndef CDEMOWINDOW
#define CDEMOWINDOW

class CGEView;

class CDemoWindow :  public LWindow, public LPeriodical
{
//----------
public:
//----------

					CDemoWindow( LCommander *inSuperCommander);
virtual				~CDemoWindow();

// For PowerPlant LPeriodical service					
void				SpendTime(const EventRecord &inMacEvent);

// Override LView::Click(), we only have one "pane"
void				Click(SMouseDownEvent &inMouseDown);

// Services used by CGEView
Rect				GetWindRect();
CTabHandle 			GetPalette();
GrafPtr				GetSystemWindow();

//----------
protected:
//----------
void				ActivateSelf();
void				DeactivateSelf();
void				DrawSelf();

//----------
private:
//----------

CGEView*			mCurrView;

};
#endif