/*
	CGEView.h
	
	Demo cross-platform view class for MacHack '97
		
	Al Evans
	
	6/12/97
	
*/


#ifndef CGEVIEW
#define CGEVIEW

#include "common.h"
#include "GElemnts.h"


class CDemoWindow;

class CGEView

{

//----------
public:
//----------

					CGEView(CDemoWindow *owner, int32 viewResID);
virtual				~CGEView();


// Actions handled by the view -- passed from the view's window

void				Activate(Boolean activateIt); 
void				Idle();
void				Draw();


// Obviously, a "real" view would have to handle other events as well
void				HandleMouseDown(Point mousePt);


//----------
private:
//----------
Boolean				MakeGEWorld(CTabHandle worldColors);

GEWorldPtr			mGEWorld;
CDemoWindow*		mOwner;

};



#endif
