//---------------------------------------------------------------------
//
//	Copyright  1992 David Peterson.
//	All rights reserved.
//
//	Permission to use, copy, modify, and distribute this software for
//	any purpose and without fee is hereby granted, provided that the
//	above copyright notice appear in all copies and that both that
//	copyright notice and this permission notice appear in supporting
//	documentation.
//
//---------------------------------------------------------------------

#include "types.r"

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	notMultiFinderAware,
	onlyBackground,
	dontGetFrontClicks,
	acceptChildDiedEvents,
	not32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	100 * 1024,
	100 * 1024
};

// This is the size of the buffer given to MacTCP. 
// Its allocated in the system heap.
data 'BUFF' (128) {
	$"0000 4000"		// 16k
};

include "inetd.rsrc" NOT 'ckid';

include $$Shell("SourceDir")"inetd:Version.rsrc" NOT 'ckid';
