#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "TreeNode.h"
#include "BoyerMoore.h"


// 10, 7, 5, 13, 6, 14, 12, 1
void	main(void)
{
	TreeNode*	myTree = new TreeNode((void*)10, (void*) 0);
	TreeNode*	outTree;
	long		aNumber;

	myTree->InsertNode((void*) 7, (void*) 0);
	myTree->InsertNode((void*) 5, (void*) 0);
	myTree->InsertNode((void*) 13, (void*) 0);
	myTree->InsertNode((void*) 6, (void*) 0);
	myTree->InsertNode((void*) 14, (void*) 0);
	myTree->InsertNode((void*) 12, (void*) 0);
	myTree->InsertNode((void*) 1, (void*) 0);
	
	outTree = myTree->GetFirstNode();
	do
	{
		aNumber = (long) outTree->GetNodeKey();
		printf("%ld\n", aNumber);
		outTree = outTree->GetNextNode();
	}
	while (outTree);
	
	
	BoyerMoore	*bmSearch;
	char*	testData = "a string searching example consisting of";
	long	result;
	
	bmSearch = new BoyerMoore;
	
	bmSearch->SetSearchData(testData, strlen(testData));
	result = bmSearch->Search(0, "\pstingy");
	printf("Found search string at position %ld\n", result);

	result = bmSearch->Search(0, "\pof");
	printf("Found search string at position %ld\n", result);

}

