// ===========================================================================
//	SMTP_PPobClasses.cp			   
// ===========================================================================
// Small version for use in example

#ifdef PowerPlant_PCH
#include PowerPlant_PCH
#endif

#include <PPobClasses.h>
#include <URegistrar.h>

#include <LActiveScroller.h>
#include <LButton.h>
#include <LCaption.h>
#include <LEditField.h>
#include <LScroller.h>
#include <LStdControl.h>
#include <LTextEdit.h>
#include <LWindow.h>
#include <LTabGroup.h>

// ---------------------------------------------------------------------------
//		 RegisterAllPPClasses
// ---------------------------------------------------------------------------
//	Register all PowerPlant classes that can create objects from Stream data

void
RegisterAllPPClasses()
{
	URegistrar::RegisterClass(LButton::class_ID,		(ClassCreatorFunc) LButton::CreateButtonStream);
	URegistrar::RegisterClass(LCaption::class_ID,		(ClassCreatorFunc) LCaption::CreateCaptionStream);
	URegistrar::RegisterClass(LEditField::class_ID,		(ClassCreatorFunc) LEditField::CreateEditFieldStream);
	URegistrar::RegisterClass(LPane::class_ID,			(ClassCreatorFunc) LPane::CreatePaneStream);
	URegistrar::RegisterClass(LScroller::class_ID,		(ClassCreatorFunc) LScroller::CreateScrollerStream);
	URegistrar::RegisterClass(LStdControl::class_ID,	(ClassCreatorFunc) LStdControl::CreateStdControlStream);
	URegistrar::RegisterClass(LStdButton::class_ID,		(ClassCreatorFunc) LStdButton::CreateStdButtonStream);
	URegistrar::RegisterClass(LTextEdit::class_ID,		(ClassCreatorFunc) LTextEdit::CreateTextEditStream);
	URegistrar::RegisterClass(LTabGroup::class_ID,		(ClassCreatorFunc) LTabGroup::CreateTabGroupStream);
	URegistrar::RegisterClass(LView::class_ID,			(ClassCreatorFunc) LView::CreateViewStream);
	URegistrar::RegisterClass(LWindow::class_ID,		(ClassCreatorFunc) LWindow::CreateWindowStream);
	URegistrar::RegisterClass(LActiveScroller::class_ID,(ClassCreatorFunc) LActiveScroller::CreateActiveScrollerStream);
}
