
#include "LSampleStream.h"

#include <string.h>
#include <ctype.h>
#include <strstream.h>

#include "UCIString.h"
#include "LSamplePlugin.h"

LSampleStream::LSampleStream(NPMIMEType type, NPStream* stream, NPBool seekable, uint16 stype,
						LSamplePlugin *destination)
:	mDestination(destination),
	CNetscapeStream(type, stream, seekable, stype) {

}

LSampleStream::~LSampleStream() {
}


long LSampleStream::WriteReady() {
	return 0x7fffffff; // We'll take all we can get
}


long LSampleStream::Write(int32 offset, int32 len, void *buffer) {
	// Just tell the plugin that more data has arrived
	mDestination->MoreData(offset, len, buffer);
	return len;

}

NPError LSampleStream::Finish(NPError reason) {
	return reason;
}
