// ===========================================================================
//	CFastTextEdit.h						1994 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#include <LTextEdit.h>

class CFastTextEdit : public LTextEdit {
public:
	enum { class_ID = '>txt' };
	static CFastTextEdit*	CreateFastTextEditStream(LStream *inStream);

						CFastTextEdit();
						CFastTextEdit(const SPaneInfo &inPaneInfo,
								const SViewInfo &inViewInfo,
								Uint16 inTextAttributes,
								ResIDT inTextTraitsID);
						CFastTextEdit(LStream *inStream);
	virtual				~CFastTextEdit();
	
	virtual	void		SpendTime(const EventRecord &inMacEvent);
	
	virtual void		ScrollImageBy(Int32 inLeftDelta, Int32 inTopDelta,
									Boolean inRefresh);

	virtual Boolean		FocusDraw();

protected:
	virtual void		DrawSelf();
};
