#pragma once

#ifndef _NPAPI_H_
#include "npapi.h"
#endif

#ifndef NETSCAPESTREAM_H
#include "NetscapeStream.h"
#endif

#include <LTextEdit.h>
#include <LHandleStream.h>

class CPlainTextStream : public CNetscapeStream {
	public:
							CPlainTextStream( 	NPMIMEType type, 
												NPStream* stream, 
												NPBool seekable, 
												uint16 stype,
												LTextEdit* inDestination);
		virtual				~CPlainTextStream();
		
		virtual long		Write( int32 offset, int32 len, void *buffer );
		virtual NPError		Finish( NPError reason );
		
		static NPBool		IsPlainTextStream( NPStream* stream );
		
	private:
		static const char*	kPlainTextType;
		LTextEdit*			mDestination;
		LHandleStream*		mStream;
		Int32				mChunkCount;
};
