#include "MP GrafLib.h"
#include "MP GrafLib Support.h"
#include <MP.h>

// Prototypes
void main(void);
OSStatus DoLineTest(void *parameter);


// MacOS NON-MP Main
void main(void)
{
	// Local Variables
	GrafParams	theScreen;
	WindowPtr	theWindow;
	Rect		WindowRect;
	
	// Initilize the MacOS ToolBox
	InitGraf((Ptr) &qd.thePort);
	InitFonts();
	InitWindows();
	InitMenus();
	InitCursor();

	// Create ToolBox Window
	SetRect(&WindowRect, 100, 100, 401, 401);
	theWindow = NewWindow(NULL, &WindowRect, "\p", TRUE, 2, (WindowPtr) -1, FALSE, NULL);
	
	// Get Display Information
	theScreen.BaseAddress = GetIndVideoBaseAddress(0);
	RetreiveVideoParameters(theScreen.BaseAddress, &theScreen.HRes, &theScreen.VRes, &theScreen.BitDepth);
	
	// Call Drawing Routine
	DoLineTest((void*) &theScreen);
	
	while(!Button())
	{
		// Wait until button is pressed
	}
	
	// Clean up the window
	DisposeWindow(theWindow);
}


