//------------------------------------------------------------------------------------------
// COPYRIGHT  1997, David Slik. All Rights Reserved
//------------------------------------------------------------------------------------------
// Contents		: MP GrafLib Drawing Header					(MP GrafLib Drawing.h)
// Last Updated	: May 25, 1997
// Written By	: David Slik
//------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------
// DISCLAIMER - The author is not responsible for the results of using this code
//------------------------------------------------------------------------------------------
// If you find any bugs in this source code, please email me and I will attempt to fix
// them.  If you have any additions, modifications or suggestions, please let me know.
// I can be reached at the following address: dslik@paradata.com
// Updates will be posted to the URL http://www.paradata.com/~dslik/MPGL/MPGL.html
//
// Permission to use and modify this code is freely granted to all users.
//------------------------------------------------------------------------------------------
#pragma once

// HEADER FILES	---------------------------------------------------------------------
#include "MP GrafLib Utilities.h"

// STRUCTURES	---------------------------------------------------------------------

// DEFINES		---------------------------------------------------------------------

// PROTOTYPES	---------------------------------------------------------------------

// Public Drawing Routines
void DS_MoveTo(short horiz, short vert);
void DS_LineTo(short horiz, short vert);
void DS_Line(short distHoriz, short distVert);
void DS_FrameRect(DS_Rect *theRect);
void DS_FillRect(DS_Rect *theRect);
void DS_SetPixel(short xCooridinate, short yCooridinate, unsigned int PixelValue);


// Private Drawing Routines
void _SetPenX(short horiz);
void _SetPenY(short vert);
