//------------------------------------------------------------------------------------------
// COPYRIGHT  1997, David Slik. All Rights Reserved
//------------------------------------------------------------------------------------------
// Contents		: MP GrafLib Internals Header					(MP GrafLib Internals.h)
// Last Updated	: May 21, 1997
// Written By	: David Slik
//------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------
// DISCLAIMER - The author is not responsible for the results of using this code
//------------------------------------------------------------------------------------------
// If you find any bugs in this source code, please email me and I will attempt to fix
// them.  If you have any additions, modifications or suggestions, please let me know.
// I can be reached at the following address: dslik@paradata.com
// Updates will be posted to the URL http://www.paradata.com/~dslik/MPGL/MPGL.html
//
// Permission to use and modify this code is freely granted to all users.
//------------------------------------------------------------------------------------------
#pragma once

// HEADER FILES	---------------------------------------------------------------------
#include "MP GrafLib Color.h"
#include "MP GrafLib Utilities.h"
#include "MP GrafLib Globals.h"

// STRUCTURES	---------------------------------------------------------------------

// GLOBALS		---------------------------------------------------------------------

extern	DrawingGlobals	gDSGlobals;

// DEFINES		---------------------------------------------------------------------

#define		INITCHECK_VALUE		0xF3A4

// MACROS		---------------------------------------------------------------------

#define		_GetPenX()			gDSGlobals.PenX
#define		_GetPenY()			gDSGlobals.PenY

// PROTOTYPES	---------------------------------------------------------------------

// Intenral Routines (Private)
Boolean DS_isEnvironmentSetup(void);

