#include "MP GrafLib.h"

OSStatus DoLineTest(void *parameter);


// MP GrafLib testing routine
OSStatus DoLineTest(void *parameter)
{
	int	a = 0;
	int	b = 0;
	

	DS_Rect			theClippingRect;
	GrafParams*		theScreen = (GrafParams*) parameter;
	
	// Initilize the library
	InitMPGrafLib(theScreen->BaseAddress, theScreen->BitDepth, theScreen->HRes, theScreen->VRes);

	// Set up clipping so we draw within a window
	DS_SetRect(&theClippingRect, 100, 100, 400, 400);
	SetClippingRect(theClippingRect);
	
	// Set the foreground colo to black
	DS_SetForeColor(DS_SetColor(0,0,0));

	// Draw a gradient
	while(b != 10)
	{
		while(a != 500)
		{
			DS_MoveTo(100 ,a + 100);
			DS_LineTo(100 + a + 500, 500 + 100);
			
			DS_SetForeColor(DS_SetColor(a/2,b * 10,a/4));

			a++;
		}
		
		a = 0;
		b++;
	}
	
	
	// De-initilize the library
	DeInitMPGrafLib();
	
	return(noErr);
}