/****************************************************************************************
	XThreads.h

	Copyright  1997 United Software Express. All rights reserved.

	Commenter	Date				Comment
	---------	-----------------	-----------------------------------------------------
	wolfie		Mon, Mar 3, 1997	Created.
	
****************************************************************************************/

#ifndef		__XThreads__
#define		__XThreads__

#include	"Threads.h"

typedef	long	XThreadState;
enum {
	kXThreadIneligible = 0,
	kXThreadEligible,
	kXThreadPriority
};

extern	OSErr			InitXThreads();
extern	XThreadState	GetXThreadState( ThreadID threadID );
extern	XThreadState	GetCurrentXThreadState();
extern	OSErr			SetXThreadState( ThreadID threadID, XThreadState state );
extern	OSErr			SetCurrentXThreadState( XThreadState state );

#endif