/**********************************************************************************
	FILE: IPLSBrowserConfig.h
	Description: Our Preferences structure, and the routines that read/write the
		prefs and allow the user to configure them.

	1997, CE Software, Inc.  All rights reserved.
	P.O. Box 65580
	West Des Moines, Iowa 50265 U.S.A.

***********************************************************************************/

struct ServerEntry {
	Str31	ServerName;	//user name of server
	Str63	ServerIPAddress; // IP address (xxx.xxx.xxx.xxx:xxx)
	Str15	ServerPassword;	//password for server
};
typedef struct ServerEntry ServerEntry;

extern ServerEntry gServerEntries[8];

Boolean ConfigServerList(void);
void InitServerList(void);