#include <iostream>
#include <deque>

void main(void)
{
//	vector<char *>	v;		// This should be OK. It isn't yet.
	vector<char *, allocator<char *> >	v;	// Required in CW12
//	vector<char *, allocator<char *>>	v;	// ">>" is extraction

	assert(v.empty());
	v.push_back("sleep");
	v.insert(v.end(), "was");
	assert(v.size() == 2);
	v.push_back("for");
	v.push_back("the");
	v.push_back("weak");
	v.push_back("or");
	v.pop_back();
	v.push_back("and");
	v.push_back("sickly");
	v[1] = "is";		// Used to replace existing: "is" for "was"
//	v[7] = "DOS users";	// Cannot use this notation to add elements.

	vector<char *, allocator<char *> >::iterator vi;
	for (vi = v.begin(); vi != v.end(); ++vi)
	{
		cout << (*vi) << " ";
	}
	cout << endl;

	typedef deque<char *, allocator<char *> > MyDeque;
	MyDeque	d(v.begin(), v.end());

	d.erase(d.end() - 3, d.end() - 1);
	d.push_front("MacHack:");
//	ostream_iterator<char *>out(cout, " ");	// This should be OK.
	ostream_iterator<char *, char, char_traits<char> >	out(cout, " ");
	copy(d.begin(), d.end(), out); cout << endl;
}
// sleep is for the weak and sickly 
// MacHack: sleep is for the sickly 
