/*  Metrowerks Standard Library  Version 2.1.2  1997 May  */

/*
 *	ansi_prefix.mac.h
 *	
 *		Copyright  1995-1997 Metrowerks, Inc.
 *		All rights reserved.
 */

#ifndef __prefix__
#define __prefix__

#include <ansi_parms.h>

#define 	__dest_os		__mac_os

/*
For MacHeaders
*/
/*if you are using PP or custom precompiled headers please 
	1) set MSL_USE_PRECOMPILED_HEADERS to 0
	2) make sure OLDROUTINENAMES, OLDROUTINELOCATIONS are set to false before 
	   MacHeaders is precompiled or parts of Universal Headers are included
*/
#define		OLDROUTINENAMES 	0
#define 	OLDROUTINELOCATIONS 0

#ifndef	MSL_USE_PRECOMPILED_HEADERS 
#define MSL_USE_PRECOMPILED_HEADERS	0	/*Set to have ansi_prefix include some form of MacHeaders*/
#endif 

#if (MSL_USE_PRECOMPILED_HEADERS == 1 )
	#ifndef USE_PRECOMPILED_MAC_HEADERS
		#define	USE_PRECOMPILED_MAC_HEADERS	1  /*Set to 0 if you don't want to use precompiled MacHeaders*/
	#endif
	#if (USE_PRECOMPILED_MAC_HEADERS != 1 )
		#include 	<MacHeaders.c>
	#else
		#ifdef __cplusplus
			#if __POWERPC__
				#include <MacHeadersPPC++>
			#elif __CFM68K__
				#include <MacHeadersCFM68K++>
			#else
				#include <MacHeaders68K++>
			#endif
		#else
			#if __POWERPC__
				#include <MacHeadersPPC>
			#elif __CFM68K__
				#include <MacHeadersCFM68K>
			#else
				#include <MacHeaders68K>
			#endif
		#endif
	#endif

#endif /*MSL_USE_PRECOMPILED_HEADERS*/

/*
For DebugNew

NB: this assumes that the only placement versions of new are in the following files:
	mmemory.h, new.h, and bstring.h. DebugNew does not currently work with the 
	placement versions of operator new

1) 	add DebugNew.cp to your project
2) 	add this to New.cp
	#ifdef DebugNew_H
	#undef new
	#endif
3) to zap memory, add gDebugNewFlags |= dnDontFreeBlocks; right before your problem code
4) put DebugNewForgetLeaks() underneath this
5) put DebugNewReportLeaks() at the end of your problem code
6) uncomment lines below
7) run
*/

/*to activate debug new, uncomment the following lines*/
/*
#define DEBUG_NEW	2
#include <DebugNew.h>
#ifdef DebugNew_H
	#define new NEW
#endif
*/

#endif /*	__ansi_prefix__	  */

#pragma once on
/* Change record
mm 970110  Changed wrapper for long long support
*/
