/*
 * JavaResourceTypes.h
 */
 
#ifndef rez
#pragma once
#endif

#define kLibEntryName	1
#define kLibEntryNumber	2

#ifndef rez

#pragma options align=mac68k

typedef struct libMapEntry {
//	unsigned char entryName[1];			// variable length, even aligned
	OSType resourceType;				// type of dst resoruce
	short entryType;					// entryName, entryNumber

	union {
		unsigned char resourceName[1];	// named resource
		short resourceID;				// resource ID
	} u;
} libMapEntry;

typedef struct libMapTable {
	unsigned short arrayCount;
	libMapEntry entries[1];
} libMapTable;

#pragma options align=reset

#endif