/*
	Test.java

	Test of JRI Native Methods.

	 1997 by Michael J. Webb (mjw@codewell.com)

*/

class TimeUtils
{

	static
	{
		System.loadLibrary("JRITimeUtilsPPC");
	}

	/** A static native method to access the system clock.
	 */
	public static native int GetRealTime();

	/** A static native method to get the tick count.
	 */
	public static native int GetRelativeTime();

	/** A static native method to get a time string.
	 */
	public static native String GetTimeString(int someTime);

}
