#pragma once

#include "MegaPane.h"
#include "Appearance.h"
#include "RadioGroup.h"

class ClassicPane : public MegaPane
{
	public:
			ClassicPane( DialogPtr dialog, SInt16 items );
		virtual ~ClassicPane();
		
		virtual void		ItemHit( SInt16 item );
	
	private:
		static pascal void	ScrollingFeedbackProc( ControlHandle control, SInt16 part );
		static pascal void	DrawPictureProc( ControlHandle control, SInt16 part );

		static ControlActionUPP	fScrollBarProc;
		static ControlUserPaneDrawUPP fDrawProc;

		ControlHandle		fVerticalScrollBar;
		ControlHandle		fHorizontalScrollBar;
		ControlHandle		fUserItem;
		Point				fPictOffset;
		SInt16				fPictWidth;
		SInt16				fPictHeight;
		PicHandle			fPicture;
		SInt16				fUserItemHeight;
		SInt16				fUserItemWidth;

		RadioGroup*			fGroup;
};
