#ifndef _FINDERWINDOW_H
#define _FINDERWINDOW_H

#include "BaseWindow.h"
#include "Appearance.h"

class FinderWindow : public BaseWindow
{
	public:
			FinderWindow();
		virtual ~FinderWindow();
		
		virtual void		Activate( EventRecord& event );
		virtual void		Deactivate( EventRecord& event );
		virtual void		Draw();
		virtual void		Resize( SInt16 width, SInt16 height );
		virtual void		HandleClick( EventRecord& event );
		
	private:
		virtual void		DrawPlacard( ThemeDrawState state, Boolean validate );
		virtual void		GetContentRect( Rect& rect );
		virtual void		InvalidateScrollBars();
		virtual void		InvalidatePlacard();
		virtual void		CalcHorizScrollBarRect( Rect& rect );
		virtual void		CalcVertScrollBarRect( Rect& rect );
	
		static pascal void	ScrollBarAction( ControlRef control, SInt16 partHit );
		static pascal void	DrawListView( SInt16 depth, SInt16 flags, GDHandle device, long userData );

		ControlRef			fHorizScrollBar;
		ControlRef			fVertScrollBar;
};

#endif // _FINDERWINDOW_H
