#pragma once

#include <QDOffscreen.h>

class Offscreen
{
	public:
			Offscreen();
		virtual ~Offscreen();
	
		virtual void		StartDrawing( const Rect& bounds, Boolean copyDest = false );
		virtual void		EndDrawing();
		virtual void		EndDrawingAndBlend( const RGBColor& opColor );
		
	private:
		GWorldPtr	fWorld;
		CGrafPtr	fSavePort;
		GDHandle	fSaveDevice;
		Rect		fBounds;
};
