//
//	TextPane.h
//
//	by Edward Voas, Apple Computer, Inc.
//
//	Copyright  1997 Edward Voas, All rights reserved.
//
//	Our text pane declaration.
//

#pragma once

#include "MegaPane.h"
#include <Appearance.h>

class TextPane : public MegaPane
{
	public:
			TextPane( DialogPtr dialog, SInt16 items );
		virtual ~TextPane();
		
		virtual void		Idle();
		virtual void		ItemHit( SInt16 item );
	
	private:
		static pascal ControlKeyFilterResult
			NumericFilter( ControlHandle control, SInt16* keyCode, SInt16* charCode,
							SInt16* modifiers);
		
		static ControlKeyFilterUPP		fFilterProc;

};
