/*  SWAP.C
 * 	Copyright (c) 1991-1995 Altura Software, Inc. All Rights Reserved.
 *	Created by:	LJL	1/20/91
 *
 *	mod 6/22/92 LJL - moved from file containing main()
 */

#define H_NO_MACHEADERS 1

#define H_NO_RENAME 1
#define H_MacTypes 1
#define H_ResTypes 1

#include "Mac2Win.h"

//#include "windows.h"
#include "asirc.h"
//#include "asi_help.h"

#include "ASIExtrn.H"

ResType gl_AppResType[] =
{
//	TO EDIT: Add the *** constant for the application-specific resource
//	  types your application provides byte swapping for in myAppByteSwap();
//	  an example line is shown below.
'CEM8',
'icl4',
0L
};

#if MacApp3
#ifndef __MAWINDOWSSPECIFIC__
#include "MAWindowsSpecific.H"
#endif
#endif

#if PowerPlant
#include "PPSwap.c"
#endif

#ifdef __cplusplus
extern "C"
#endif
F_PASCAL(BOOLEAN) 
myAppByteSwap( BOOLEAN Mac2Win, UWORD AppResIndex, 
	       LONG lres_size, LPSTR lpdata );

F_PASCAL(BOOLEAN) 
myAppByteSwap( BOOLEAN Mac2Win, UWORD AppResIndex, 
	       LONG lres_size, LPSTR lpdata )
{
	ResType		theRT;

	theRT = gl_AppResType[ AppResIndex ];

#if MacApp3
	if (MacAppByteSwap(Mac2Win, theRT, lres_size, lpdata))
		return TRUE;
#endif

	switch(theRT) {
#if PowerPlant
		case 'PPob':
			ByteSwap_PPob(lpdata, lres_size, (char) Mac2Win);
		break;
		case 'Txtr':
			ByteSwap_Txtr(lpdata);
		break;
		case 'RID#':
			ByteSwap_RIDx(lpdata, (char) Mac2Win);
		break;

		case 'RidL':
			ByteSwap_RidL(lpdata, (char) Mac2Win);
		break;

		case 'Mcmd':
			ByteSwap_Mcmd(lpdata, (char) Mac2Win);
		break;
		
		case 'aedt':
			ByteSwap_aedt(lpdata, lres_size);
		break;
#endif
		case 'CEM8':
			DebugStr((const unsigned char *) "\004CEM8");
		break;
		case 'icl4':
			DebugStr((const unsigned char *) "\004icl4");
		break;

		default: {
			Str255 TypeName;
			BlockMoveData(&theRT, &TypeName[1], 4);
			TypeName[0] = 4;
			DebugStr(TypeName);
		}
	}
	return( TRUE );
}

#ifdef __cplusplus
extern "C" 
#endif
void *GetAppSwap(void) {
	return &myAppByteSwap;
}
