/*
	CDemoApp.cpp
	
	Demo application for MacHack 97
	
	Macintosh version -- uses Metrowerks PowerPlant
	
	Al Evans
	
	6/12/97
	
*/

#include "CDemoApp.h"
#include "CDemoWindow.h"

#include "reschain.h"

int main()
{
	SetDebugThrow_(debugAction_Alert);
	SetDebugSignal_(debugAction_Alert);
	InitializeHeap(10);			
	UQDGlobals::InitializeToolbox(&qd);
	new LGrowZone( 50000 );
	
	OpenResourceFile( "data.flat" );

	CDemoApp app;
	app.Run();
	return 0;
	
}

CDemoApp::CDemoApp()
{
	// Wait as little as possible at WaitNextEvent()
	SetSleepTime(0);
	
	mWindow = new CDemoWindow(this);
	mWindow->Show();
}

CDemoApp::~CDemoApp()
{
	if (mWindow)
		delete mWindow;
}
