/*
	CDemoApp.cpp

	Windows 95 version -- uses MFC

	Al Evans

	6/18/97

*/

#include "CDemoApp.h"
#include "CDemoWindow.h"
#include "reschain.h"

// Creating this runs the application
CDemoApp theApp;

CDemoApp::CDemoApp()
{
	// ????
}

CDemoApp::~CDemoApp()
{
	CloseResourceFile();
}

BOOL CDemoApp::InitApplication()
{
	CWinApp::InitApplication();	

	WNDCLASS wClass;

	// Register the main window class.
	wClass.style = CS_DBLCLKS;
	wClass.lpfnWndProc = DefWindowProc;
	wClass.cbClsExtra = wClass.cbWndExtra = 0;
	wClass.hInstance = AfxGetInstanceHandle();
	wClass.hIcon = NULL;
	wClass.hCursor = LoadStandardCursor(IDC_ARROW);
	wClass.hbrBackground = NULL;
	wClass.lpszMenuName = NULL;
	wClass.lpszClassName = demoWndClassName;

	AfxRegisterClass(&wClass);

	return TRUE;

}

BOOL CDemoApp::InitInstance()
{
	OpenResourceFile("data.flat");

	CDemoWindow *window = new CDemoWindow();
	if (!window->Create(""))
		return false;

	m_pMainWnd = window;

	m_pMainWnd->ShowWindow(m_nCmdShow);
	m_pMainWnd->UpdateWindow();

	return TRUE;
}


BOOL CDemoApp::OnIdle(LONG lCount)
{
	static const int idleGap = 1;

	DWORD curTime;

	curTime = timeGetTime();

	if((curTime - lastIdleTime) > idleGap)
	{
		::PostMessage(m_pMainWnd->m_hWnd, UM_SPENDTIME, 0, 0);
		lastIdleTime = curTime;		
	}
	return TRUE;
}


