/*
	CDemoWindow.h

	Demo Window for MacHack 97

	Windows 95 version -- uses MFC

	Al Evans

	6/18/97

*/

#ifndef CDEMOWINDOW
#define CDEMOWINDOW

#include "common.h"

class CGEView;

extern const CString	demoWndClassName;

class CDemoWindow : public CFrameWnd
{
//---------------
public:
//---------------
				CDemoWindow();
				~CDemoWindow();
BOOL			Create(CString fileName);

// Services used by CGEView			
Rect			GetWindRect();
HPALETTE		GetPalette();
HWND			GetSystemWindow();

// Keystrokes, commands, messages from outside
//{{AFX_MSG( MIPlayWindow )
afx_msg void	OnDestroy();
afx_msg void	OnPaint();
afx_msg LRESULT	OnSpendTime(WPARAM wParam, LPARAM lParam);
afx_msg void	OnLButtonDown(UINT nFlags, CPoint point);
afx_msg void	OnShowWindow( BOOL bShow, UINT nStatus );
//}}AFX_MSG

DECLARE_MESSAGE_MAP()


//---------------
private:
//---------------

CMenu			mMainMenu;
CGEView*		mCurrView;
HPALETTE		mPalette;

};

#endif